Get S3 object metadata

Retrieves the metadata for a task artifact S3 object, including blurhash for placeholder loading. | authz_personas=[courier_driver, courier_org_operators, shipper_org_operators, forwarder_org_operators] | () -> (TaskArtifactS3ObjectMetadata1)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

task_artifact_s3_object_metadata_idstringRequired

Response

Successful Response
schema_versioninteger
_idstring
task_artifact_idstring
uploaded_at_timestampstringformat: "date-time"
uploaded_by_user_idstring

Must be a string starting with user_

uploaded_by_org_idstring

Must be a string starting with org_

s3_key_prefix"oort/task_artifact_s3_object_metadata" or null
blurhashstring or null
content_typestring or null

MIME type of the uploaded file (e.g., ‘image/jpeg’, ‘application/pdf’)

filenamestring or null
Original filename of the uploaded file

Errors